package com.yeejoin.amos.boot.module.jg.api.dto;

import cn.hutool.json.JSON;
import com.yeejoin.amos.boot.biz.common.annotation.FieldDisplayDefine;
import com.yeejoin.amos.boot.biz.common.annotation.Group;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@Group(value = "biz_use_registration")
public class UseRegisterChangeDataDto extends BaseChangeDataDto {

    @FieldDisplayDefine(value = "单据编号", isExist = false)
    private String applyNo;

    @FieldDisplayDefine(value = "使用地点市编码")
    private String city;

    @FieldDisplayDefine(value = "使用地点区县编码")
    private String county;

    @FieldDisplayDefine(value = "使用地点街道（镇）编码")
    private String factoryUseSiteStreet;

    @FieldDisplayDefine(value = "详细使用地点")
    private String address;

    @FieldDisplayDefine(value = "是否西咸")
    private String isXixian;

    @FieldDisplayDefine(value = "使用登记证编号")
    private String useRegistrationCode;

    @FieldDisplayDefine(value = "接收机构")
    private String receiveCompanyCode;

    @FieldDisplayDefine(value = "使用场所")
    private String usePlace;

    @FieldDisplayDefine(value = "单位内部编号")
    private String useInnerCode;

    @FieldDisplayDefine(value = "安全管理员，格式:id_name")
    private String safetyManager;

    @FieldDisplayDefine(value = "产权单位，格式:code_name")
    private String estateUnitName;

    @FieldDisplayDefine(value = "原登记机关")
    private String oRegUnit;

    @FieldDisplayDefine(value = "原登记日期")
    private String oRegDate;

    @FieldDisplayDefine(value = "投用日期")
    private String useDate;

    @FieldDisplayDefine(value = "是否增补-气瓶")
    private String isAddEquip;

    @FieldDisplayDefine(value = "气瓶分类")
    private String cylinderCategory;

    @FieldDisplayDefine(value = "使用登记表附件", type = JSON.class)
    private String useRegistrationFormFile;

    @FieldDisplayDefine(value = "经纬度", type = JSON.class)
    private String longitudeLatitude;

    @FieldDisplayDefine(value = "地图起始标点", type = JSON.class)
    private String startLatitudeLongitude;

    @FieldDisplayDefine(value = "地图结束标点", type = JSON.class)
    private String endLatitudeLongitude;

    @FieldDisplayDefine(value = "其他附件", type = JSON.class)
    private String otherAccessories;

    @FieldDisplayDefine(value = "原使用登记证附件", type = JSON.class)
    private String oldUseRegistrationTable;

    @FieldDisplayDefine(value = "原使用登记证附件", type = JSON.class)
    private String oldUseRegistrationCertificate;
}