package com.yeejoin.amos.boot.module.ymt.biz.service.impl;

import com.alibaba.fastjson.JSON;
import com.yeejoin.amos.boot.biz.common.entity.DataDictionary;
import com.yeejoin.amos.boot.module.ymt.api.dto.InspectionDetectionInfoModel;
import com.yeejoin.amos.boot.module.ymt.api.entity.IdxBizJgInspectionDetectionInfo;
import com.yeejoin.amos.boot.module.ymt.api.entity.InspectionDetectionInfo;
import com.yeejoin.amos.boot.module.ymt.api.mapper.InspectionDetectionInfoMapper;
import com.yeejoin.amos.boot.module.ymt.api.service.InspectionDetectionInfoService;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.typroject.tyboot.core.foundation.utils.Bean;
import org.typroject.tyboot.core.foundation.utils.ValidationUtil;
import org.typroject.tyboot.core.rdbms.service.BaseService;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.Optional;


/**
 * 安全追溯-检验检测信息表
 *
 * @author cpp
 * @date 2023-04-06 19:18:21
 */
@Service
public class InspectionDetectionInfoServiceImpl extends BaseService<InspectionDetectionInfoModel, InspectionDetectionInfo, InspectionDetectionInfoMapper> implements InspectionDetectionInfoService {

	@Autowired
	private InspectionDetectionInfoMapper inspectionDetectionInfo;

	public InspectionDetectionInfoModel selectInspect(String superviseCode) {
		InspectionDetectionInfoModel inspectionDetectionInfoDto = new InspectionDetectionInfoModel();
		if (ValidationUtil.isEmpty(superviseCode)) {
			return inspectionDetectionInfoDto;
		}
		InspectionDetectionInfo inspectionDetectionInfo = this.inspectionDetectionInfo.selectInspection(superviseCode);
		BeanUtils.copyProperties(inspectionDetectionInfo, inspectionDetectionInfoDto);
		inspectionDetectionInfoDto.setSuperviseCode(superviseCode);
		return inspectionDetectionInfoDto;
	}

	public Map<String, Object> getNewInspectionDetailByRecord(String record) {
		IdxBizJgInspectionDetectionInfo info = this.getBaseMapper().queryNewestDetailByRecord(record);
		if (info == null) return Collections.emptyMap();
		Map<String, Object> result = new HashMap<>(Bean.BeantoMap(info));
		result.put("inspectReport", JSON.parseArray(info.getInspectReport()));
		result.put("inspectConclusionCode", info.getInspectConclusion());
		result.put("inspectConclusion", Optional.ofNullable(dataDictionaryServiceImpl.getByCode(info.getInspectConclusion(), "JYJL"))
				.map(DataDictionary::getName).orElse(""));
		result.put("jySeq", info.getSequenceNbr());
		return result;
	}
}